[arch-commits] Commit in xmoto/trunk (PKGBUILD)

Ronald van Haren ronald at archlinux.org
Thu May 14 08:48:23 EDT 2009


    Date: Thursday, May 14, 2009 @ 08:48:23
  Author: ronald
Revision: 39259

upgpkg: xmoto 0.5.1-2

Modified:
  xmoto/trunk/PKGBUILD

----------+
 PKGBUILD |   12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-05-14 12:06:58 UTC (rev 39258)
+++ PKGBUILD	2009-05-14 12:48:23 UTC (rev 39259)
@@ -5,7 +5,7 @@
 
 pkgname=xmoto
 pkgver=0.5.1
-pkgrel=1
+pkgrel=2
 pkgdesc="A challenging 2D motocross platform game, where physics play an important role."
 arch=('i686' 'x86_64')
 url="http://xmoto.tuxfamily.org"
@@ -13,12 +13,17 @@
 depends=('bzip2' 'libjpeg' 'libpng' 'lua' 'sdl_mixer' 'ode=0.11' 'curl>=7.16.2' 
 	 'mesa' 'sqlite3' 'sdl_ttf' 'desktop-file-utils' 'sdl_net')
 install=xmoto.install
-source=(http://download.tuxfamily.org/${pkgname}/${pkgname}/${pkgver}/${pkgname}-${pkgver}-src.tar.gz)
-md5sums=('10cb822ec8c2c7e9466806633e69be1f')
+source=(http://download.tuxfamily.org/${pkgname}/${pkgname}/${pkgver}/${pkgname}-${pkgver}-src.tar.gz
+	xmoto_gcc44.patch)
+md5sums=('10cb822ec8c2c7e9466806633e69be1f'
+         '40bba4510c0188dc6e722d44de5471ef')
 
 build() {
   cd ${srcdir}/${pkgname}-${pkgver}
 
+  # fix gcc4.4 building
+  patch -Np0 -i ${srcdir}/xmoto_gcc44.patch || return 1
+
   # build and install 
   ./configure --prefix=/usr --disable-sdltest
 
@@ -33,4 +38,3 @@
   install -Dm0644 ${srcdir}/${pkgname}-${pkgver}/extra/xmoto.xpm \
 	${pkgdir}/usr/share/pixmaps/xmoto.xpm
 }
-



More information about the arch-commits mailing list